

<?php

// DB connection
require('settings.php');

// removeurl function
// created by Ferdian
// updated 2017-01-13
function removeUrl($url,$newparam){

	$output = $url;
	$filename = '';

	// generate array based on url
	$url_arr = parse_url($url);
	
	if (!empty($url_arr['query'])){
		parse_str($url_arr['query'],$url_param);

		unset($url_param['l']);

		if(strpos($url_arr['path'], '.php') == false){
			$output = 'index.php?'. http_build_query($url_param) .'&'. $newparam;
		} else {
			$output = $url_arr['path'] .'?'. http_build_query($url_param) .'&'. $newparam;
		}

	} else {

		if(strpos($url_arr['path'], '.php') == false){
			$output = 'index.php?'. $newparam;
		} else {
			$output .= '?'. $newparam;
		}
	}

	return $output;
}

// language switcher 
function langSwitcher($url,$lang='ind'){

	$output = '';

	// exceptions - usually for blogs
	// go up to object index page if language is switched
	if(strpos($url['basename'], 'product-view') !== false){
		$url['basename'] = 'products.php';
	}
	if(strpos($url['basename'], 'news-view') !== false){
		$url['basename'] = 'news.php';
	}
	if(strpos($url['basename'], 'recipe-view') !== false){
		$url['basename'] = 'recipes.php';
	}

	$output = removeUrl($url['basename'],'l='.$lang);

	return $output;
}

function getRow($table,$id,$column='id'){

	global $link;

	$query = "
		SELECT * 
		FROM {$table}
		WHERE 1
			AND ({$column} = '{$id}')
	";

	$output = mysqli_fetch_array(mysqli_query($link,$query));

	return $output;
}

function getRowRecipes($table,$id,$column='id'){

	global $link;

	$query = "
		SELECT * 
		FROM {$table}
		WHERE 1
			AND ({$column} = '{$id}')
	";
	
	$output = mysqli_fetch_array(mysqli_query($link,$query));
	$short_description = !empty($output['short_description']) ? '<!-- pembatas --><p class="mb-30" style="color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px;">'.$output['short_description'].'</p><!-- pembatas -->' : '';

	if ($output['lang'] === 'ind') {
		$recipe_results = !empty($output['recipe_results']) ? '<table class="recipe-meta"
		style="border-top: 2px solid rgb(236, 236, 236); width: 730px; border-bottom: 2px solid rgb(236, 236, 236); color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px;">
		<tbody>
			<tr>
				<td class="lead-tb" style="vertical-align: top; width: 219px; padding-top: 30px;">Hasil 1 resep</td>
				<td style="vertical-align: top; padding-top: 30px;">:&nbsp;&nbsp;&nbsp;'.$output['recipe_results'].'</td>
			</tr>' : '<table class="recipe-meta" style="border-top: 2px solid rgb(236, 236, 236); width: 730px; border-bottom: 2px solid rgb(236, 236, 236); color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px;">
			<tbody>';
		$creation_time = !empty($output['creation_time']) ? '<tr><td class="lead-tb" style="vertical-align: top; width: 219px; padding-bottom: 30px;">Waktu pembuatan</td>
		<td style="vertical-align: top; padding-bottom: 30px;">:&nbsp;&nbsp;&nbsp;'.$output['creation_time'].'</td>
	</tr>
	</tbody>
	</table><!-- pembatas -->' : '</tbody></table><!-- pembatas -->';
	} elseif ($output['lang'] === 'eng') {
		$recipe_results = !empty($output['recipe_results']) ? '<table class="recipe-meta"
		style="border-top: 2px solid rgb(236, 236, 236); width: 730px; border-bottom: 2px solid rgb(236, 236, 236); color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px;">
		<tbody>
			<tr>
				<td class="lead-tb" style="vertical-align: top; width: 219px; padding-top: 30px;">Serving portion</td>
				<td style="vertical-align: top; padding-top: 30px;">:&nbsp;&nbsp;&nbsp;'.$output['recipe_results'].'</td>
			</tr>' : '<table class="recipe-meta" style="border-top: 2px solid rgb(236, 236, 236); width: 730px; border-bottom: 2px solid rgb(236, 236, 236); color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px;">
			<tbody>';
		$creation_time = !empty($output['creation_time']) ? '<tr><td class="lead-tb" style="vertical-align: top; width: 219px; padding-bottom: 30px;">Ready in</td>
		<td style="vertical-align: top; padding-bottom: 30px;">:&nbsp;&nbsp;&nbsp;'.$output['creation_time'].'</td>
	</tr>
	</tbody>
	</table><!-- pembatas -->' : '</tbody></table><!-- pembatas -->';
	}

	$output['content'] .= $short_description;
	$output['content'] .= $recipe_results;
	$output['content'] .= $creation_time;

	$query2 = "
		SELECT * 
		FROM bahan_umum
		WHERE (id_resep = '{$output['id']}')
	";

	$query3 = "
		SELECT * 
		FROM bahan_kustom
		WHERE (id_resep = '{$output['id']}')
	";

	$query4 = "
		SELECT * 
		FROM pembuatan_umum
		WHERE (id_resep = '{$output['id']}')
	";

	$query5 = "
		SELECT * 
		FROM pembuatan_kustom
		WHERE (id_resep = '{$output['id']}')
	";

	$result2=mysqli_query($link,$query2);
	$result3=mysqli_query($link,$query3);
	$result4=mysqli_query($link,$query4);
	$result5=mysqli_query($link,$query5);

	$output2 = mysqli_fetch_all($result2,MYSQLI_ASSOC);
	$output3 = mysqli_fetch_all($result3,MYSQLI_ASSOC);
	$output4 = mysqli_fetch_all($result4,MYSQLI_ASSOC);
	$output5 = mysqli_fetch_all($result5,MYSQLI_ASSOC);

	if (!empty($output2) || !empty($output3)) {
		if ($output['lang'] === 'ind') {
			$output['content'] .= '<p class="fw-700 mb-10 mt-50"
		style="color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px; font-weight: 700 !important;">
		Bahan-bahan:
	</p>
	<table class="recipe-ingredients table-striped"
		style="width: 730px; color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px;">
		<tbody>';
		} elseif ($output['lang'] === 'eng') {
			$output['content'] .= '<p class="fw-700 mb-10 mt-50"
		style="color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px; font-weight: 700 !important;">
		Ingredients:
	</p>
	<table class="recipe-ingredients table-striped"
		style="width: 730px; color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px;">
		<tbody>';
		}

		if (!empty($output2)) {
			foreach ($output2 as $value) {
				$data_nama_bahan_umum = !empty($value['link_bahan']) ? '<a href="'.$value['link_bahan'].'">'.$value['nama_bahan'].'</a>' : $value['nama_bahan'];
				$output['content'] .= '
				<tr>
					<td>'.$value['kuantiti_bahan'].'</td>
					<td>'. $data_nama_bahan_umum .'</td>
				</tr>';
			}

		}

		if (!empty($output3)) {
			$judul_section_unik = '';
			// for ($i=0; $i < $total_bahan_kustom; $i++) { 
			foreach ($output3 as $value) {					
				$data_nama_bahan_kustom = !empty($value['link_bahan']) ? '<a href="'.$value['link_bahan'].'">'.$value['nama_bahan'].'</a>' : $value['nama_bahan'];
				if ($judul_section_unik !== $value['judul_section']) {
					$judul_section_unik = $value['judul_section'];
					$output['content'] .= '
					<tr>
						<td colspan="3" style="padding: 12px 10px;"><strong>'.$value['judul_section'].'</strong></td>
					</tr>
					<tr>
						<td style="padding: 12px 10px;">'.$value['kuantiti_bahan'].'</td>
						<td style="padding: 12px 10px;">'.$data_nama_bahan_kustom.'</td>
					</tr>';
				} else {
					$output['content'] .= '
					<tr>
						<td style="padding: 12px 10px;">'.$value['kuantiti_bahan'].'</td>
						<td style="padding: 12px 10px;">'.$data_nama_bahan_kustom.'</td>
					</tr>';
				}
			}
		}

		$output['content'] .= '
		</tbody>
	</table><!-- pembatas -->';
	}

	if (!empty($output4) || !empty($output5)) {
		if ($output['lang'] === 'ind') {
			if (!empty($output2)) {
				$output['content'] .= '<p class="fw-700 mb-10 mt-50">Cara pembuatan:</p>';
			} else {
				$output['content'] .= '<p class="fw-700 mb-10 mt-50"></p>';
			}
		} elseif ($output['lang'] === 'eng') {
			if (!empty($output4)) {
				$output['content'] .= '<p class="fw-700 mb-10 mt-50">Directions:</p>';
			} else {
				$output['content'] .= '<p class="fw-700 mb-10 mt-50"></p>';
			}			
		}
		

		if (!empty($output4)) {
			$output['content'] .= '<ol style="line-height: 30px;">';
			foreach ($output4 as $value) {
				$output['content'] .= '<li>'.$value['cara_pembuatan'].'</li>';
			}
			$output['content'] .= '</ol>';
		}

		if (!empty($output5)) {
			$judul_pembuatan_unik = '';
			$no = 0;

			foreach ($output5 as $value) {
				if ($no > 0) {
					if ($judul_pembuatan_unik !== $value['judul_pembuatan']) {
						$output['content'] .= '</ol><strong>'.$value['judul_pembuatan'].'</strong>
						<ol style="color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px; line-height: 30px;">
							<li>'.$value['cara_pembuatan'].'</li>';						
					} else {
						$output['content'] .= '<li>'.$value['cara_pembuatan'].'</li>';
					}
				} else {
					$output['content'] .= '<strong>'.$value['judul_pembuatan'].'</strong>
					<ol style="color: rgb(96, 96, 96); font-family: Montserrat, sans-serif; font-size: 16px; line-height: 30px;">
						<li>'.$value['cara_pembuatan'].'</li>';
				}
				$no++;
				$judul_pembuatan_unik = $value['judul_pembuatan'];
			}
			$output['content'] .= '</ol>';
		}
	}

	// echo $no;
	// print_r($output);
	// exit;

	return $output;
}

function getProducts($cat,$limit='',$lang='ind'){

	global $link;

	$output = '';

	// filters
	if (empty($cat)) {
		$cat_filter = '';
	} else {
		$cat_filter = "AND (a.category = {$cat})";
	}

	// filters
	if (empty($limit)) {
		$limit_filter = '';
	} else {
		$limit_filter = "LIMIT {$limit}";
	}

	$query = "
		SELECT
			*
		FROM products a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
			{$cat_filter}
		ORDER BY a.appear_order ASC
		{$limit_filter}
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getClaims($model){

	global $link;

	$output = '';

	$claims_string = $model['claim_ids'];
	// $claims_arr = explode(',', $claims_string);

	$query = "
		SELECT
			*
		FROM claims a
		WHERE 1
			AND (a.id IN({$claims_string}) )
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getHomeProducts($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM products a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
		LIMIT 8
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getOtherProducts($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM products a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
		LIMIT 8
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getKaraislandProducts($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM products a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.category = 4)
			AND (a.lang = '{$lang}')
			AND (a.id IN ('5', '104', '138', '139', '144', '145'))
            order by name DESC
		LIMIT 3
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getKaraislandMobileProducts($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM products a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.category = 4)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getRecipes($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM recipes a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getRecipesHome($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM recipes a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
		LIMIT 6
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getNews($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM news a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY a.published DESC
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getNewsHome($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM news a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY a.published DESC
		LIMIT 6
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getOtherNews($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM news a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY a.published DESC
		LIMIT 3
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getSidebarNews($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM news a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY a.published DESC
		LIMIT 3
	";
	$output = mysqli_query($link,$query);

	return $output;
}


function getIngs($table){

	$ings = [];

	// insert each ingredients into array
	while($row = mysqli_fetch_array($table)){
		if($row['ingredients'] != 0){

			$ings[$row['id']] = explode(',', $row['ingredients']);
			foreach ($ings[$row['id']] as $k => $v) {
				$ings[$row['id']][$k] = getRow('products',$v);
			}
		}
	}
	mysqli_data_seek($table, 0);

	return $ings;
}